summaryrefslogtreecommitdiff
path: root/helpers/binary_disk
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2010-02-05 17:10:44 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:17:04 +0100
commit3b80c5c5d9c9d2eec91910b70a120da5943c7fac (patch)
tree31b5fef2977e7fabe669077041c569169c788a95 /helpers/binary_disk
parent59e9a93ad08c171fb0d22e965c56f91c5bd17615 (diff)
downloadlive-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.zip
live-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.tar.gz
Dropping lh_ prefix from internal helpers, this is not user visible.
Diffstat (limited to 'helpers/binary_disk')
-rwxr-xr-xhelpers/binary_disk137
1 files changed, 137 insertions, 0 deletions
diff --git a/helpers/binary_disk b/helpers/binary_disk
new file mode 100755
index 0000000..2bbd73d
--- /dev/null
+++ b/helpers/binary_disk
@@ -0,0 +1,137 @@
+#!/bin/sh
+
+# lh_binary_disk (1) - install disk information into binary
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/live-helper.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'install disk information into binary')"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+case "${LH_BINARY_IMAGES}" in
+ iso|usb-hdd)
+ ;;
+ *)
+ exit 0
+ ;;
+esac
+
+Echo_message "Begin installing disk information..."
+
+# Requiring stage file
+Require_stagefile .stage/config .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/binary_disk
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+mkdir -p binary/.disk
+
+ARCHITECTURE="$(echo ${LH_ARCHITECTURE} | sed -e 's| |/|g')"
+DISTRIBUTION="$(echo ${LH_DISTRIBUTION} | cut -b 1 | tr '[a-z]' '[A-Z]')"
+DISTRIBUTION="${DISTRIBUTION}$(echo ${LH_DISTRIBUTION} | cut -b 2-)"
+eval VERSION="$`echo RELEASE_${LH_DISTRIBUTION}`"
+
+TITLE="Debian GNU/Linux"
+case "${LH_MODE}" in
+ debian)
+ STRING="Official Snapshot ${ARCHITECTURE}"
+ TRACE="project/trace/ftp-master.debian.org"
+ ;;
+
+ debian-release)
+ STRING="Official ${ARCHITECTURE}"
+ TRACE="project/trace/ftp-master.debian.org"
+ ;;
+
+ ubuntu)
+ TITLE="Ubuntu GNU/Linux"
+ STRING="Build ${ARCHITECTURE}"
+ TRACE=""
+ ;;
+
+ *)
+ STRING="Snapshot ${ARCHITECTURE}"
+ TRACE=""
+ ;;
+esac
+
+if [ -n "${TRACE}" ]
+then
+ echo "$(wget -q ${LH_MIRROR_BOOTSTRAP}/${TRACE} -O - | head -n 1)" \
+ > binary/.disk/archive_trace
+fi
+
+case "${LH_DEBIAN_INSTALLER}" in
+ cdrom)
+ echo "main" > binary/.disk/base_components
+
+ touch binary/.disk/base_installable
+
+ echo "full_cd" > binary/.disk/cd_type
+
+ echo "${TITLE} ${VERSION} \"${DISTRIBUTION}\" - ${STRING} LIVE/CD Binary $(date +%Y%m%d-%H:%M)" > binary/.disk/info
+
+ cp "${LH_BASE}"/data/debian-cd/${LH_DISTRIBUTION}/${LH_ARCHITECTURE}_udeb_include binary/.disk/udeb_include
+ ;;
+
+ true|netinst|live)
+ echo "main" > binary/.disk/base_components
+
+ touch binary/.disk/base_installable
+
+ echo "not_complete" > binary/.disk/cd_type
+
+ if [ "${LH_DEBIAN_INSTALLER}" = "live" ]
+ then
+ echo "${TITLE} ${VERSION} \"${DISTRIBUTION}\" - ${STRING} LIVE/INSTALL Binary $(date +%Y%m%d-%H:%M)" > binary/.disk/info
+ else
+ echo "${TITLE} ${VERSION} \"${DISTRIBUTION}\" - ${STRING} LIVE/NETINST Binary $(date +%Y%m%d-%H:%M)" > binary/.disk/info
+
+ fi
+
+ cp "${LH_BASE}"/data/debian-cd/${LH_DISTRIBUTION}/${LH_ARCHITECTURE}_netinst_udeb_include binary/.disk/udeb_include
+
+ if [ "${LH_DEBIAN_INSTALLER}" = "live" ]
+ then
+ echo "live-installer" >> binary/.disk/udeb_include
+ fi
+ ;;
+
+ businesscard)
+ echo "main" > binary/.disk/base_components
+
+ echo "not_complete" > binary/.disk/cd_type
+
+ echo "${TITLE} ${VERSION} \"${DISTRIBUTION}\" - ${STRING} LIVE/BC Binary $(date +%Y%m%d-%H:%M)" > binary/.disk/info
+
+ cp "${LH_BASE}"/data/debian-cd/${LH_DISTRIBUTION}/${LH_ARCHITECTURE}_businesscard_udeb_include binary/.disk/udeb_include
+ ;;
+
+ false)
+ echo "${TITLE} ${VERSION} \"${DISTRIBUTION}\" - ${STRING} LIVE Binary $(date +%Y%m%d-%H:%M)" > binary/.disk/info
+ ;;
+esac
+
+# Creating stage file
+Create_stagefile .stage/binary_disk